Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.simulation.plot
Class PlotEx

    |
    +--biouml.plugins.simulation.plot.PlotEx

public class PlotEx
extends Option

It supports extened views of plot in property inspector.

Constructor Summary
`PlotEx(Module module, Plot plot)`
`PlotEx(Module module, SimulationResult result)`

Method Summary
`SimulationResult` | `getDefaultSimulationResult()`
`Module` | `getModule()`
`String` | `getModuleName()`
`Plot` | `getPlot()`
`Plot` | `getPlotByName(String name)`
`DataCollection` | `getPlotCollection()`
`String` | `getPlotName()`
`String[]` | `getPlotNames()`
`String` | `getSaveName()`
`SimulationResult` | `getSimulationResult(String name)`
`DataCollection` | `getSimulationResultCollection()`
`boolean` | `hasDefaultResult()`
`boolean` | `isDefaultResult(String name)`
`boolean` | `savePlot()`
`void` | `setDefaultSimulationResult(SimulationResult defaultResult)`
`void` | `setPlot(Plot plot)`
`void` | `setPlotName(String plotName)`
`void` | `setSaveName(String saveName)`

Constructor Detail

### PlotEx

    public PlotEx(Module module, Plot plot)

### PlotEx

    public PlotEx(Module module, SimulationResult result)

Method Detail

### getDefaultSimulationResult

    public SimulationResult getDefaultSimulationResult()

### getModule

    public Module getModule()

### getModuleName

    public String getModuleName()

### getPlot

    public Plot getPlot()

### getPlotByName

    public Plot getPlotByName(String name)

### getPlotCollection

    public DataCollection getPlotCollection()

### getPlotName

    public String getPlotName()

### getPlotNames

    public String[] getPlotNames()

### getSaveName

    public String getSaveName()

### getSimulationResult

    public SimulationResult getSimulationResult(String name)

### getSimulationResultCollection

    public DataCollection getSimulationResultCollection()

### hasDefaultResult

    public boolean hasDefaultResult()

### isDefaultResult

    public boolean isDefaultResult(String name)

### savePlot

    public boolean savePlot()

### setDefaultSimulationResult

    public void setDefaultSimulationResult(SimulationResult defaultResult)

### setPlot

    public void setPlot(Plot plot)

### setPlotName

    public void setPlotName(String plotName)
                      throws java.lang.Exception

### setSaveName

    public void setSaveName(String saveName)

Association Links

to Class org.apache.log4j.Category

to Class biouml.model.Module

to Class biouml.plugins.simulation.plot.Plot

to Class java.lang.String

to Class biouml.plugins.simulation.SimulationResult

to Class ru.biosoft.access.DataCollection

to Class ru.biosoft.access.DataCollection

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM